Show / Hide Table of Contents

# Interface IAuditLogEntry

Represents a generic audit log entry.

##### Inherited Members

ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IAuditLogEntry : ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### Action

Gets the action which occurred to create this entry.

##### Declaration

    ActionType Action { get; }

##### Property Value

Type | Description
--- | ---
ActionType | The type of action for this audit log entry.

| Improve this Doc View Source

#### Data

Gets the data for this entry.

##### Declaration

    IAuditLogData Data { get; }

##### Property Value

Type | Description
--- | ---
IAuditLogData | An IAuditLogData for this audit log entry; `null` if no data is available.

| Improve this Doc View Source

#### Reason

Gets the reason behind the change.

##### Declaration

    string Reason { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the reason for the change; `null` if none is provided.

| Improve this Doc View Source

#### User

Gets the user responsible for causing the changes.

##### Declaration

    IUser User { get; }

##### Property Value

Type | Description
--- | ---
IUser | A user object.